## Process this file with automake to produce Makefile.in

AM_CPPFLAGS = \
	-I$(top_srcdir)/lib \
	-I$(top_srcdir)/lib/cdt

bin_PROGRAMS = prune
noinst_HEADERS = generic_list.h
dist_man_MANS = prune.1
if ENABLE_MAN_PDFS
pdf_DATA = prune.1.pdf
endif

prune_SOURCES = generic_list.c prune.c

prune_LDADD = $(top_builddir)/lib/ingraphs/libingraphs_C.la \
	$(top_builddir)/lib/cgraph/libcgraph.la \
	$(top_builddir)/lib/cdt/libcdt.la

.1.1.pdf:
	rm -f $@; pdffile=$@; psfile=$${pdffile%pdf}ps; \
	$(GROFF) -Tps -man $< > $$psfile || { rm -f $$psfile; exit 1; }; \
	$(PS2PDF) $$psfile && rm -f $$psfile || { rm -f $$psfile; exit 1; }
SUFFIXES = .1 .1.pdf

EXTRA_DIST = README test.gv prune.vcxproj*

DISTCLEANFILES = $(pdf_DATA)
